[Definitions]
; Only correct the following '#define' lines to be able to build the install package.
#define myAppVersion "v0.60p"
#define myAppBaseSourcePath "C:\Daten\VisualFoxpro\Projekte\P30"

[Setup]
WizardImageFile={#myAppBaseSourcePath}\Client_Install_needed_files\InnoSetup_Script\Icons\SetupModern17.bmp
WizardSmallImageFile={#myAppBaseSourcePath}\Client_Install_needed_files\InnoSetup_Script\Icons\SetupModernSmall17y.bmp

AlwaysUsePersonalGroup=no
AlwaysShowGroupOnReadyPage=yes
;PrivilegesRequired=poweruser
MinVersion=5.0,5.0
AppName=VFP Data Converter
AppVerName=VFP Data Converter {#myAppVersion}
AppVersion={#myAppVersion}
AppPublisher=Juergen Ulbts
InfoBeforeFile={#myAppBaseSourcePath}\Changelog.txt
;AppReadmeFile=
;InfoAfterFile=
DefaultDirName={pf}\VFP Data Converter
DefaultGroupName=VFP Data Converter
LicenseFile={#myAppBaseSourcePath}\Client_Install_needed_files\GNU_GPL\gpl.txt
OutputDir={#myAppBaseSourcePath}\Client_Install_needed_files\InnoSetup_Output
OutputBaseFilename=VFPDataConverter_Setup_{#myAppVersion}
OutputManifestFile=VFPDataConverter_Setup_Manifest_{#myAppVersion}.txt

SetupIconFile={#myAppBaseSourcePath}\graphics\icons\VFPDataConverter.ico

Compression=lzma
SolidCompression=yes

[Languages]
Name: eng; MessagesFile: compiler:Default.isl
Name: bra; MessagesFile: compiler:Languages\BrazilianPortuguese.isl
Name: cat; MessagesFile: compiler:Languages\Catalan.isl
Name: cze; MessagesFile: compiler:Languages\Czech.isl
Name: dan; MessagesFile: compiler:Languages\Danish.isl
Name: dut; MessagesFile: compiler:Languages\Dutch.isl
Name: fre; MessagesFile: compiler:Languages\French.isl
Name: ger; MessagesFile: compiler:Languages\German.isl
Name: hun; MessagesFile: compiler:Languages\Hungarian.isl
Name: ita; MessagesFile: compiler:Languages\Italian.isl
Name: nor; MessagesFile: compiler:Languages\Norwegian.isl
Name: pol; MessagesFile: compiler:Languages\Polish.isl
Name: por; MessagesFile: compiler:Languages\Portuguese.isl
Name: rus; MessagesFile: compiler:Languages\Russian.isl
Name: slo; MessagesFile: compiler:Languages\Slovenian.isl

[Tasks]
Name: desktopicon; Description: {cm:CreateDesktopIcon}; GroupDescription: {cm:AdditionalIcons}; Flags: unchecked
Name: quicklaunchicon; Description: {cm:CreateQuickLaunchIcon}; GroupDescription: {cm:AdditionalIcons}; Flags: unchecked

[Components]
;additional setup options
Name: program; Description: VFP Data Converter; Types: full compact
Name: vfpruntime; Description: Microsoft Visual FoxPro Runtime; Types: full compact
; Types: vfpruntime
;Name: msxml; Description: "Microsoft XML3-SP5, XML4-SP2 + Hotfix"; Types: full compact
; Types: msxml

[Files]
; NOTE: Don't use "Flags: ignoreversion" on any shared system files
;Source: "C:\Programme\Installer\Inno Setup 5\Examples\MyProg.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: {#myAppBaseSourcePath}\VfpDataConverter.exe; DestDir: {app}; Components: program; Flags: ignoreversion
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\GNU_GPL\gpl.txt; DestDir: {app}; Components: program; Flags: ignoreversion
Source: {#myAppBaseSourcePath}\Changelog.txt; DestDir: {app}; Components: program; Flags: ignoreversion
Source: {#myAppBaseSourcePath}\data\*; DestDir: {app}\data; Components: program; Flags: ignoreversion recursesubdirs createallsubdirs


; C:\WINDOWS\SYSTEM32
; (MSVCP71.DLL, MSVCR71.DLL,) RICHTX32.OCX, TLBINF32.DLL, VBAME.DLL, COMDLG32.OCX
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\win\system\*.*; DestDir: {sys}; Components: vfpruntime; Flags: onlyifdoesntexist sharedfile onlyifdoesntexist uninsneveruninstall restartreplace

; C:\Programme\Gemeinsame Dateien\Microsoft Shared\VFP\
; Standard files without need to register
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Microsoft Shared\*.*; DestDir: {cf}\Microsoft Shared; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs sharedfile uninsneveruninstall restartreplace
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Microsoft Shared_need_registration\vfp\msvcr71.dll; DestDir: {cf}\Microsoft Shared\VFP; Components: vfpruntime; Flags: onlyifdoesntexist sharedfile uninsneveruninstall restartreplace
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Microsoft Shared_need_registration\vfp\msvcp71.dll; DestDir: {cf}\Microsoft Shared\VFP; Components: vfpruntime; Flags: onlyifdoesntexist sharedfile uninsneveruninstall restartreplace

; MSVCP71.DLL, MSVCR71.DLL, VFP9R.DLL, VFP9T.DLL und FOXHHELP9.EXE are shared dlls/exe and need registration
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Microsoft Shared_need_registration\vfp\msvcr71.dll; DestDir: {sys}; Components: vfpruntime; Flags: onlyifdoesntexist sharedfile uninsneveruninstall restartreplace
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Microsoft Shared_need_registration\vfp\msvcp71.dll; DestDir: {sys}; Components: vfpruntime; Flags: onlyifdoesntexist sharedfile uninsneveruninstall restartreplace
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Microsoft Shared_need_registration\vfp\vfp9r.dll; DestDir: {cf}\Microsoft Shared\VFP; Components: vfpruntime; Flags: onlyifdoesntexist regserver sharedfile uninsneveruninstall restartreplace
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Microsoft Shared_need_registration\vfp\vfp9t.dll; DestDir: {cf}\Microsoft Shared\VFP; Components: vfpruntime; Flags: onlyifdoesntexist regserver sharedfile uninsneveruninstall restartreplace
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Microsoft Shared_need_registration\vfp\foxhhelp9.exe; DestDir: {cf}\Microsoft Shared\VFP; Components: vfpruntime; Flags: onlyifdoesntexist sharedfile uninsneveruninstall restartreplace


; C:\Programme\Gemeinsame Dateien\System\OLE DD\
; VFPOleDB.DLL
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\system\*.*; DestDir: {cf}\System; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs regserver sharedfile uninsneveruninstall restartreplace

; C:\Programme\Gemeinsame Dateien\Merge Modules\
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Merge Modules\comctl32.msm; DestDir: {cf}\Merge Modules; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs uninsneveruninstall
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Merge Modules\mscomct2.msm; DestDir: {cf}\Merge Modules; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs uninsneveruninstall
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Merge Modules\mscomctl.msm; DestDir: {cf}\Merge Modules; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs uninsneveruninstall
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Merge Modules\mscomm32.msm; DestDir: {cf}\Merge Modules; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs uninsneveruninstall
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Merge Modules\comdlg32.msm; DestDir: {cf}\Merge Modules; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs uninsneveruninstall

Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Merge Modules\msxml3_wim32.msm; DestDir: {cf}\Merge Modules; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs uninsneveruninstall
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Merge Modules\msxml3inf_wim32.msm; DestDir: {cf}\Merge Modules; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs uninsneveruninstall
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Merge Modules\msxml4sxs32.msm; DestDir: {cf}\Merge Modules; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs uninsneveruninstall
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Merge Modules\msxml4sys32.msm; DestDir: {cf}\Merge Modules; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs uninsneveruninstall

Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Merge Modules\richtx32.msm; DestDir: {cf}\Merge Modules; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs uninsneveruninstall
Source: {#myAppBaseSourcePath}\Client_Install_needed_files\VFP90_Runtime\Merge Modules\richtx32_x86.msm; DestDir: {cf}\Merge Modules; Components: vfpruntime; Flags: onlyifdoesntexist recursesubdirs createallsubdirs uninsneveruninstall

[Icons]
Name: {group}\VFP Data Converter; Filename: {app}\VfpDataConverter.exe; WorkingDir: {app}
Name: {group}\GNU General Public License (GPL); Filename: {app}\gpl.txt; WorkingDir: {app}
Name: {group}\Changelog; Filename: {app}\Changelog.txt; WorkingDir: {app}
;Name: "{group}\Deinstallation\{cm:UninstallProgram,Uninstall VFP Data Converter}"; Filename: "{uninstallexe}"
Name: {userdesktop}\VFP Data Converter; Filename: {app}\VfpDataConverter.exe; WorkingDir: {app}; Tasks: desktopicon
Name: {userappdata}\Microsoft\Internet Explorer\Quick Launch\VFP Data Converter; Filename: {app}\VfpDataConverter.exe; WorkingDir: {app}; Tasks: quicklaunchicon

[Run]
Filename: msiexec.exe; Parameters: "/i ""{cf}\Merge Modules\comctl32.msm"""
Filename: msiexec.exe; Parameters: "/i ""{cf}\Merge Modules\mscomct2.msm"""
Filename: msiexec.exe; Parameters: "/i ""{cf}\Merge Modules\mscomctl.msm"""
;Filename: msiexec.exe; Parameters: "/i ""{cf}\Merge Modules\mscomm32.msm"""
Filename: msiexec.exe; Parameters: "/i ""{cf}\Merge Modules\comdlg32.msm"""

Filename: msiexec.exe; Parameters: "/i ""{cf}\Merge Modules\msxml3_wim32.msm"""
Filename: msiexec.exe; Parameters: "/i ""{cf}\Merge Modules\msxml3inf_wim32.msm"""
Filename: msiexec.exe; Parameters: "/i ""{cf}\Merge Modules\msxml4sxs32.msm"""
Filename: msiexec.exe; Parameters: "/i ""{cf}\Merge Modules\msxml4sys32.msm"""

Filename: msiexec.exe; Parameters: "/i ""{cf}\Merge Modules\richtx32.msm"""
Filename: msiexec.exe; Parameters: "/i ""{cf}\Merge Modules\richtx32_x86.msm"""

;Filename: msiexec.exe; Parameters: "/i ""{tmp}\msxml3.msi"""
;Filename: msiexec.exe; Parameters: "/i ""{tmp}\msxmlger.msi"""
; --Filename: "{tmp}\msxml3.msi"; Description: "{cm:LaunchProgram,Microsoft XML3 SP5}"; Flags: nowait postinstall shellexec
; --Filename: "{tmp}\msxmlger.msi"; Description: "{cm:LaunchProgram,Microsoft XML4 SP2}"; Flags: nowait postinstall shellexec
;Filename: "{tmp}\KB832414_MSXML4.0_x86.exe"; Description: "{cm:LaunchProgram,Microsoft XML4 SP2 HOTFIX-KB832414}"; Flags: nowait postinstall shellexec
;Filename: "{app}\VFPDataConverter.exe"; Description: "{cm:LaunchProgram,VFP Data Converter}"; Flags: nowait postinstall skipifsilent
